/*
Theme Name: Denim
Theme URI: https://logicalweb.bo
Version: 1.0
Description: Tema hijo de twentytwentyfive
Author: Juan Jesus Campos Quiroga
Author URI: https://logicalweb.bo
Template: twentytwentyfive
*/
/*GENERAL*/
a{
	text-decoration:none;
}
.onsale{
	background-color:#cc1818 !important;
}
.wp-element-button:hover{
	background-color:black !important;
	color: white !important;
	border-color:black !important;
}
.has-x-large-font-size,h2{
	font-size:clamp(1.25rem,3vw,2.5rem) !important;
}
.has-x-large-font-size,h2 span{
	font-size:1.25rem !important;
}
.text-one-line {
  white-space: nowrap; 
  overflow: hidden;
  text-overflow: ellipsis;
  width: 100%;
}
.image-email img{
	vertical-align:middle;
}
.grecaptcha-badge{
	display:none !important;
}

/*HEADER*/
.wp-site-blocks>header{
	position:sticky;
	top:0;
	width:100%;
	z-index:10;
	background-color:#1C60CE;
}
.btn-search button{
	padding: 0.5rem;
    background: #f1f1f1 !important;
    /*color: white !important;*/
}
.btn-search .wp-block-search__inside-wrapper{
	align-items:center;
}
.header{
	transition: all 2s;
}
.scrolled{
	background-color:#1C60CE;
}
.separator-menu{
	border-left: 1px solid #6d6d6d;
    height: 1rem;
    margin: 0 10px !important;
}
	
.content-menu-mobile a, .content-menu-desktop a{
	text-decoration:none;
	outline:none !important;
	border:none !important;
}
.content-menu-mobile a:is(:active,:focus), .content-menu-desktop a:is(:active,:focus){
	text-decoration:none;
	outline:none !important; 
	border:none !important;
}
.content-menu-mobile a:hover,.content-menu-desktop a:hover{
	color:#1C60CE !important;
}
.content-menu-mobile a[aria-current="page"],.content-menu-desktop  a[aria-current="page"]{
	color:#1C60CE !important;
}
/*HOME*/
.title-slider-home{
font-size:clamp(2.2rem, 2.2rem + ((1vw - 0.2rem) * 2.939), 4.5rem);
}

/*PRODUCTS*/

.content-filters label{
	cursor:pointer;
}
.select-order-products select{
	    border: 1px solid #e1e1e1;
    padding: 0.5rem;
}
.content-pagination a{
	    background-color: #ffffff;
    color: #000000;
    padding: 0.5rem;
    border-radius: 0.5rem;
    box-shadow: 3px 3px 6px #dbdbdb;
}
.content-pagination a:hover{
	 background-color: #0054aa;
	color: white;
}
.content-pagination span[aria-current="page"]{
	    padding: 0.5rem;
    background-color: #0054aa;
    color: white;
    font-size: 1rem;
    border-radius: 0.5rem;
}
.add_to_cart_button{
	padding:0.5rem;
}
.content-slider-woocommerce:has(img) h1{
	display:none;
}
.wc-block-product-filters__overlay-header{
	color: white;
    background-color: #1c60ce;
    padding-block: 0.5rem;
}
.wc-block-product-filters__apply{
	color:white !important;
}
/*SINGLE PRODUCT*/
.woocommerce-product-attributes th{
	text-align:start;
}
.wc-block-add-to-cart-with-options-variation-selector-attribute-options__pills label{
	    background-color: white;
    border-radius: 0.5rem;
    box-shadow: 3px 3px 6px #c7c7c7;
    border: none;
    color: black;
}
.wc-block-add-to-cart-with-options-variation-selector-attribute-options__pills label:hover{
	background-color:black;
	color:white;
}
.wc-block-add-to-cart-with-options-variation-selector-attribute-options__pills label:has(input[type="radio"]:checked){
	 background-color:black;
	color:white;
}
/*CART*/
.content-title-page-cart{
	font-size:1rem !important;
}
/*PAYMENTS*/
.content-payments H2{
	font-size:1rem !important;
}
/*MINI CART*/
/*.h2.wc-block-mini-cart__title span{
	font-size:clamp(1rem,2vw,2rem) !important;
}*/
/*CONGRATULATIONS*/
.content-congratulations h2{
	font-size:1.5rem !important;
}
.content-congratulations h1{
	text-align:center;
}
/*BLOG*/
.separator-blog{
	    max-width: 50px;
    border-width: 2px;
}
.separator-sidebar-blog{
	 max-width: 50px;
    border-width: 2px;
	margin:5px auto 0 0;
}
/*MARCAS*/
.logo-marca-custom{
	text-align:center;
}
.logo-marca-custom img{
	max-width:400px;
	width:100%;
	height:auto;
	max-height:180px;
	object-fit:contain;
}
/*CONTACT*/
.contact-form :where(input,textarea){
	width:100%;
	box-sizing:border-box;
	border:1px solid #e5e5e5;
	padding:0.5rem;
}
.contact-form .wpcf7-submit{
	background-color:gray;
	color:white;
	font-size:1rem;
	cursor:pointer;
	text-transform:uppercase;
}
.contact-form .wpcf7-submit:hover{
	background-color:black;
}
/*FOOTER*/


@media(max-width:800px){
	.content-menu-mobile{
		display:flex !important;
	}
	.content-menu-desktop{
		display:none !important;
	}
}
@media(min-width:801px){
	.content-menu-mobile{
		display:none !important;
	}
	.content-menu-desktop{
		display:flex !important;
	}
}
@media(min-width:600px){
	
}
@media(max-width:600px){
	.content-credits{
justify-content:center;
}
	.wc-block-product-results-count{
	display:none;
}
	
}